bm::block_match_chain< BLOCK_IDX > Struct Template Reference

XOR match chain. More...

`#include <bmxor.h>`

Inheritance diagram for bm::block_match_chain< BLOCK_IDX >:
[legend]

## Public Member Functions

bool | operator== (const block_match_chain &bmc) const BMNOEXCEPT

## Data Fields

BLOCK_IDX | nb
unsigned | chain_size
unsigned | ref_idx [64]
bm::id64_t | xor_d64 [64]
bm::xor_complement_match | match

## Detailed Description

template<typename BLOCK_IDX>
struct bm::block_match_chain< BLOCK_IDX >

XOR match chain.

Definition at line 289 of file bmxor.h.

## Member Function Documentation

## operator==()

template<typename BLOCK_IDX>

bool bm::block_match_chain< BLOCK_IDX >::operator== | ( | const block_match_chain< BLOCK_IDX > & | bmc | ) | const

inline

Definition at line 297 of file bmxor.h.

## Field Documentation

## chain_size

template<typename BLOCK_IDX>

unsigned bm::block_match_chain< BLOCK_IDX >::chain_size

Definition at line 292 of file bmxor.h.

Referenced by bm::xor_scanner< BV >::compute_sim_model(), and bm::serializer< BV >::serialize().

## match

template<typename BLOCK_IDX>

bm::xor_complement_match bm::block_match_chain< BLOCK_IDX >::match

Definition at line 295 of file bmxor.h.

Referenced by bm::xor_scanner< BV >::compute_sim_model(), and bm::serializer< BV >::serialize().

## nb

template<typename BLOCK_IDX>

BLOCK_IDX bm::block_match_chain< BLOCK_IDX >::nb

Definition at line 291 of file bmxor.h.

Referenced by bm::xor_scanner< BV >::compute_sim_model(), and bm::serializer< BV >::serialize().

## ref_idx

template<typename BLOCK_IDX>

unsigned bm::block_match_chain< BLOCK_IDX >::ref_idx[64]

Definition at line 293 of file bmxor.h.

Referenced by bm::xor_scanner< BV >::compute_sim_model(), and bm::serializer< BV >::serialize().

## xor_d64

template<typename BLOCK_IDX>

bm::id64_t bm::block_match_chain< BLOCK_IDX >::xor_d64[64]

Definition at line 294 of file bmxor.h.

Referenced by bm::xor_scanner< BV >::compute_sim_model(), and bm::serializer< BV >::serialize().

The documentation for this struct was generated from the following file:

- bmxor.h